Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 133644 - Not working silc-useflag in gaim-2.0.0_beta3
Summary: Not working silc-useflag in gaim-2.0.0_beta3
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Low normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-17 15:05 UTC by Sebastian Noack
Modified: 2006-06-26 00:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix the not working silc-useflag (gaim-2.0.0_beta3-with-silc.ebuild.patch,732 bytes, patch)
2006-05-28 04:14 UTC, Sebastian Noack
Details | Diff
Add an hint howto make silc work to pkg_postinst (gaim-2.0.0_beta3-silc-hint.ebuild.patch,566 bytes, patch)
2006-05-28 04:16 UTC, Sebastian Noack
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Noack 2006-05-17 15:05:19 UTC
The bug is, that the ebuild specifies the current directory (.) as silc-lib and -include directory to the configure-script if the silc-useflag is disabled and doesn't pass anything to ./configure if silc-useflag is enabled.

But if you want silc-support in your gaim you have to specify the include- and lib-dir by the --with-silc-libs and --with-silc-includes configure-options.

I have made a patch that fixes this (see below).

Regards
Sebastian


--- gaim-2.0.0_beta3.ebuild	2006-05-17 10:12:24.000000000 +0200
+++ gaim-2.0.0_beta3.ebuild	2006-05-17 10:15:09.000000000 +0200
@@ -139,9 +139,9 @@
 	use nas && myconf="${myconf} --enable-nas" || myconf="${myconf} --disable-nas"
 	use nls  || myconf="${myconf} --disable-nls"
 	use perl || myconf="${myconf} --disable-perl"
-	if use ! silc ; then
-		myconf="${myconf} --with-silc-includes=."
-		myconf="${myconf} --with-silc-libs=."
+	if use silc ; then
+		myconf="${myconf} --with-silc-includes=/usr/include/silc-toolkit"
+		myconf="${myconf} --with-silc-libs=/usr/$(get_libdir)/silc-toolkit"
 	fi
 	use spell || myconf="${myconf} --disable-gtkspell"
 	use startup-notification || myconf="${myconf} --disable-startup-notification"
Comment 1 Sebastian Noack 2006-05-28 04:13:02 UTC
Somebody told me that, the patch doesn't work. It does you have only to remove the new lines which the bugzilla has inserted implicit. However I will upload the patch in a working format as attachment.

Futhermore I propose to add something to the pkg_postinst procedure like already proposed in http://bugs.gentoo.org/show_bug.cgi?id=110327, to instruct the user to add a comment to his user, because without it silc doesn't work in any case. I also have written a patch therefore (see attachement).

Best Regards
Sebasian Noack
Comment 2 Sebastian Noack 2006-05-28 04:14:29 UTC
Created attachment 87714 [details, diff]
Fix the not working silc-useflag
Comment 3 Sebastian Noack 2006-05-28 04:16:17 UTC
Created attachment 87716 [details, diff]
Add an hint howto make silc work to pkg_postinst
Comment 4 Kathryn Kulick (RETIRED) gentoo-dev 2006-06-25 12:04:45 UTC
Fixed silc use flag in 2.0.0_beta3-r1
Comment 5 Jory A. Pratt 2006-06-25 12:56:37 UTC
-       if use ! silc ; then
-               myconf="${myconf} --with-silc-includes=."
-               myconf="${myconf} --with-silc-libs=."

Just so your aware of why this was broken, the exclamation point is in the wrong place it has to come before use. That was only issue with how it was originally handled, and still is handled.
Comment 6 Sebastian Noack 2006-06-26 00:05:05 UTC
Well, your approach seems to work, too.